base: /
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=2099'
flux_content_types: ''
flux_page_templates: ''
languages:
  -
    title: Español
    enabled: true
    languageId: 0
    base: 'https://prod1.niessen.netzlabor.org/'
    baseVariants:
      -
        base: 'https://prod1.niessen.netzlabor.org/'
        condition: 'applicationContext == "Production/Staging"'
      -
        base: 'https://test.niessen.netzlabor.org/'
        condition: 'applicationContext == "Production/Testing"'
      -
        base: 'https://niessen-website.dev.netzlabor-coding.de/'
        condition: 'applicationContext == "Development"'
      -
        base: 'https://niessen-website.ddev.site/'
        condition: 'applicationContext == "Development/DDEV"'
    typo3Language: es
    locale: es_ES.utf8
    iso-639-1: es
    navigationTitle: 'Español (ES)'
    hreflang: es
    direction: ltr
    flag: es
    websiteTitle: ''
    solr_core_read: niessen_es
  -
    title: English/International
    enabled: true
    base: 'https://prod1.niessen.netzlabor.org/en/'
    baseVariants:
      -
        base: 'https://prod1.niessen.netzlabor.org/en/'
        condition: 'applicationContext == "Production/Staging"'
      -
        base: 'https://test.niessen.netzlabor.org/en/'
        condition: 'applicationContext == "Production/Testing"'
      -
        base: 'https://niessen.dev.netzlabor-coding.de/en/'
        condition: 'applicationContext == "Development"'
      -
        base: 'https://niessen.ddev.site/en/'
        condition: 'applicationContext == "Development/DDEV"'
    typo3Language: default
    locale: en_US.utf8
    iso-639-1: en
    websiteTitle: ''
    navigationTitle: 'international (EN)'
    hreflang: en
    direction: ltr
    fallbackType: free
    fallbacks: ''
    flag: en-us-gb
    languageId: 1
    solr_core_read: niessen_en
rootPageId: 2096
routeEnhancers:
  News:
    type: Extbase
    limitToPages:
      - 1
      - 17
      - 391
      - 393
      - 1578
      - 1605
      - 1750
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: /
        _controller: 'News::list'
      -
        routePath: '/page-{page}'
        _controller: 'News::list'
        _arguments:
          page: '@widget_0/currentPage'
        requirements:
          page: \d+
      -
        routePath: '/{news-title}'
        _controller: 'News::detail'
        _arguments:
          news-title: news
      -
        routePath: '/{category-name}'
        _controller: 'News::list'
        _arguments:
          category-name: overwriteDemand/categories
      -
        routePath: '/{tag-name}'
        _controller: 'News::list'
        _arguments:
          tag-name: overwriteDemand/tags
    defaultController: 'News::list'
    defaults:
      page: '0'
    aspects:
      news-title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      page:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      category-name:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
      tag-name:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_tag
        routeFieldName: slug
  NlDealers:
    type: Extbase
    extension: NlDealers
    plugin: Installersearch
    defaultController: 'Dealer::index'
    limitToPages:
      - 28
    routes:
      -
        routePath: /
        _controller: 'Dealer::index'
      -
        routePath: /list
        _controller: 'Dealer::list'
      -
        routePath: /contact
        _controller: 'Dealer::contact'
      -
        routePath: '/specialist/{dealer-uid}'
        _controller: 'Dealer::show'
        _arguments:
          dealer-uid: dealer
    aspects:
      dealer-uid:
        type: PersistedAliasMapper
        tableName: tx_nldealers_domain_model_dealer
        routeFieldName: uid
  NlInspirationArticleteaserlist:
    type: Extbase
    extension: NlInspiration
    plugin: Articleteaserlist
    routes:
      -
        routePath: /
        _controller: 'Article::index'
      -
        routePath: /teasers
        _controller: 'Article::list'
  NlOnlinecatalog:
    type: Extbase
    extension: NlOnlinecatalog
    plugin: Onlinecatalog
    limitToPages:
      - 148
      - 712
      - 2053
      - 2129
    routes:
      -
        routePath: /
        _controller: 'Product::list'
      -
        routePath: /fetch-access-token
        _controller: 'Product::fetchAccessToken'
      -
        routePath: '/detail/{product-id}'
        _controller: 'Product::show'
        _arguments:
          product-id: product
      -
        routePath: '/export/{format}'
        _controller: 'Product::export'
      -
        routePath: '/{parts-list}'
        _controller: 'Product::list'
        _arguments:
          parts-list: partsListActive
    defaultController: 'Product::list'
    defaults:
      format: txt
    aspects:
      product-id:
        type: ProductMapper
        tableName: tx_nlonlinecatalog_domain_model_product
        routeFieldName: product_id
      format:
        type: StaticValueMapper
        map:
          txt: txt
          gaeb: gaeb
          gaeb2000: gaeb2000
          xml: xml
          xlsx: xlsx
          rtf: rtf
      parts-list:
        type: StaticValueMapper
        map: {  }
        localeMap:
          -
            locale: 'de_.*'
            map:
              stueckliste: 1
          -
            locale: 'nl_.*'
            map:
              stuklijst: 1
          -
            locale: 'en_.*'
            map:
              parts-list: 1
  NlElbridgeprovider:
    type: Extbase
    extension: NlElbridgeprovider
    plugin: Pi1
    routes:
      -
        routePath: /ctool/access
        _controller: 'ConfigurationTool::access'
      -
        routePath: /ctool/transmit
        _controller: 'ConfigurationTool::transmit'
  NlProductsProductlist:
    type: Extbase
    extension: NlProducts
    plugin: Productlist
    defaultController: 'Product::list'
    routes:
      -
        routePath: /
        _controller: 'Product::list'
  NlProductsProducthero:
    type: Extbase
    extension: NlProducts
    plugin: Producthero
    defaultController: 'Product::show'
    routes:
      -
        routePath: 'product-detail/{product-id}'
        _controller: 'Product::show'
        _arguments:
          product-id: product
    aspects:
      product-id:
        type: PersistedAliasMapper
        tableName: tx_nlproducts_domain_model_product
        routeFieldName: uid
  NlProductsProgramlist:
    type: Extbase
    extension: NlProducts
    plugin: Programlist
    defaultController: 'Program::list'
    routes:
      -
        routePath: /
        _controller: 'Program::list'
  NlProductsProgramhero:
    type: Extbase
    extension: NlProducts
    plugin: Programhero
    defaultController: 'Program::show'
    routes:
      -
        routePath: 'program-detail/{program-id}'
        _controller: 'Program::show'
        _arguments:
          program-id: program
    aspects:
      program-id:
        type: PersistedAliasMapper
        tableName: tx_nlproducts_domain_model_program
        routeFieldName: uid
  NlProductsProductvariationlist:
    type: Extbase
    extension: NlProducts
    plugin: Productvariationlist
    limitToPages:
      - 1
    defaultController: 'ProductVariation::list'
    routes:
      -
        routePath: 'product-variations/{product-id}/{program-id}'
        _controller: 'ProductVariation::list'
        _arguments:
          product-id: product
          program-id: program
    aspects:
      product-id:
        type: PersistedAliasMapper
        tableName: tx_nlproducts_domain_model_product
        routeFieldName: uid
      program-id:
        type: PersistedAliasMapper
        tableName: tx_nlproducts_domain_model_program
        routeFieldName: uid
  NlProductsProductcategorylist:
    type: Extbase
    extension: NlProducts
    plugin: Productcategorylist
    defaultController: 'ProductCategory::list'
    routes:
      -
        routePath: /
        _controller: 'ProductCategory::list'
  PageTypeSuffix:
    type: PageType
    default: ''
    map:
      d.json: 1651756150
      a.json: 1667967380
      oc.json: 1671545102
      .elbridge: 5143
      products.json: 1676969844
      product.json: 1676969846
      programs.json: 1676969867
      program.json: 1676969855
      variations.json: 1676969845
      categories.json: 1679411316
      oc.content: 1696504900
routes:
  -
    route: sitemap.xml
    type: uri
    source: 't3://page?uid=1&type=1533906435'
  -
    route: robots.txt
    type: staticText
    content: "User-agent: *\r\nDisallow: *\r\nDisallow: /*?id=*\r\nDisallow: /*&id=*\r\nDisallow: /*?L=0*\r\nDisallow: /*&L=0*\r\nDisallow: /*?tx_solr*\r\nDisallow: /*&tx_solr*\r\nDisallow: /*/Private/*\r\nDisallow: /*/Configuration/*\r\nDisallow: /typo3temp/*\r\nDisallow: /media/bje/*\r\nDisallow: /fileadmin/ing*\r\nAllow: /typo3temp/*.css\r\nAllow: /typo3temp/*.css.*.gzip\r\nAllow: /typo3temp/*.js\r\nAllow: /typo3temp/*.js.*.gzip\r\nAllow: /typo3temp/*.jpg\r\nAllow: /typo3temp/*.gif\r\nAllow: /typo3temp/*.png\r\nDisallow: *.sql\r\nDisallow: *.sql.gz\r\nCrawl-Delay: 10"
settings:
  redirects:
    autoUpdateSlugs: true
    autoCreateRedirects: false
    redirectTTL: 0
    httpStatusCode: 301
solr_enabled_read: true
solr_host_read: 'netzlabor:wAV5666+5BgU-N11M9@solr.bj2022.netzlabor.org'
solr_path_read: /
solr_port_read: '443'
solr_scheme_read: https
solr_use_write_connection: false
websiteTitle: ''
